<?php

/* DCMS Special
 * Дата последнего редактирования 18.01.2016
 * Модифицировал densnet
 */

require_once '../sys/inc/start.php';
require_once H . 'sys/inc/compress.php';
require_once H . 'sys/inc/sess.php';
require_once H . 'sys/inc/settings.php';
$temp_set = $set;
require_once H . 'sys/inc/db_connect.php';
require_once H . 'sys/inc/ipua.php';
require_once H . 'sys/inc/fnc.php';
require_once H . 'sys/inc/adm_check.php';
require_once H . 'sys/inc/user.php';

access('adm_set_foto', null, 'index.php?' . SID);
adm_check();

$set['title'] = 'Настройки фотогалереи';

require_once H . 'sys/inc/thead.php';

if (isset($_POST['save'])) {
    $temp_set['max_upload_foto_x'] = intval($_POST['max_upload_foto_x']);
    $temp_set['max_upload_foto_y'] = intval($_POST['max_upload_foto_y']);

    if (save_settings($temp_set)) {
        admin_log(lang('Настройки'), lang('Фотогалерея'), lang('Изменение настроек фотогалереи'));
        $_SESSION['message'] = lang('Изменения сохранены');

        header("Location: ?");
        exit();
    } else {
        $err = lang('Нет прав для изменения файла настроек');
    }
}

aut();
err();

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/panel/'>" . lang('Панель управления') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Настройки фотогалереи');
echo "</small></div><br />";

echo "<form method='post' class='list-group-item-null' action='?'>";

$doc->Input('max_upload_foto_x', 'Мах ширина фото', 5, "$temp_set[max_upload_foto_x]");
$doc->Input('max_upload_foto_y', 'Мах высота фото', 5, "$temp_set[max_upload_foto_y]");

echo "<br />";

$doc->Button('btn btn-success btn-sm', 'save', 'save', 'Сохранить');
echo "</form>\n";

require_once H . 'sys/inc/tfoot.php';
